# log4cpp::TimeStampComponent Struct Reference

Inheritance diagram for log4cpp::TimeStampComponent:

[legend]
Collaboration diagram for log4cpp::TimeStampComponent:

[legend]
List of all members.

## Public Member Functions

| TimeStampComponent (std::string timeFormat)
virtual void | append (std::ostringstream &out, const LoggingEvent &event)

## Static Public Attributes

static const char *const | FORMAT_ISO8601 = "%Y-%m-%d %H:%M:%S,%l"
static const char *const | FORMAT_ABSOLUTE = "%H:%M:%S,%l"
static const char *const | FORMAT_DATE = "%d %b %Y %H:%M:%S,%l"

## Constructor & Destructor Documentation

log4cpp::TimeStampComponent::TimeStampComponent | ( | std::string | timeFormat | ) | `[inline]`

## Member Function Documentation

virtual void log4cpp::TimeStampComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event |
| ) |  |  | `[inline, virtual]`

Implements log4cpp::PatternLayout::PatternComponent.

## Member Data Documentation

const char *const log4cpp::TimeStampComponent::FORMAT_ISO8601 = "%Y-%m-%d %H:%M:%S,%l"`[static]`

const char *const log4cpp::TimeStampComponent::FORMAT_ABSOLUTE = "%H:%M:%S,%l"`[static]`

const char *const log4cpp::TimeStampComponent::FORMAT_DATE = "%d %b %Y %H:%M:%S,%l"`[static]`

The documentation for this struct was generated from the following file:

- PatternLayout.cpp